List offset lifecycle event notification configurations
curl --request POST \
--url https://api.metronome.com/v2/notifications/offset/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 20,
"cursor": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"archive_filter": "NOT_ARCHIVED"
}
'import requests
url = "https://api.metronome.com/v2/notifications/offset/list"
payload = {
"limit": 20,
"cursor": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"archive_filter": "NOT_ARCHIVED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 20,
cursor: 'd7abd0cd-4ae9-4db7-8676-e986a4ebd8dc',
archive_filter: 'NOT_ARCHIVED'
})
};
fetch('https://api.metronome.com/v2/notifications/offset/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "+1 day after contract starts",
"type": "OFFSET_LIFECYCLE_EVENT",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"environment_type": "PRODUCTION",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "Martins Seyi",
"archived_at": null
}
]
}Notifications
List offset lifecycle event notification configurations
List offset lifecycle event notification configurations. These are user-created notifications that trigger at a specified time offset relative to lifecycle events. Returns a maximum of 400 results per request.
POST
/
v2
/
notifications
/
offset
/
list
List offset lifecycle event notification configurations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Optional pagination and filtering parameters
Get an offset lifecycle event notification configuration
Previous
List system notification event types
Next
⌘I